/*!****************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/fast-css-loader/lib/index.js??ruleSet[1].rules[1].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[1].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[1].use[3]!./sources/css/components/video.scss ***!
  \****************************************************************************************************************************************************************************************************************************************************************/
/* Bootstrap */
/* Vendors */
.video-overlay {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000000;
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: cover;
  overflow: hidden;
  z-index: 1030;
}

.video-inline-wrapper iframe {
  width: 100%;
  height: 100%;
}

.video-preview {
  font-size: var(--title-sm);
  line-height: var(--title-sm-line-height);
  letter-spacing: var(--title-sm-letter-spacing);
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  width: auto;
  height: auto;
}

.close-button {
  position: absolute;
  top: 2.5rem;
  right: 2.5rem;
  width: 3.75rem;
  height: 3.75rem;
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
  color: #ffffff;
  font-size: 45px;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  cursor: pointer;
  z-index: 1040;
}
.close-button:hover {
  color: #d00426;
}
@media (max-width: 991.98px) {
  .close-button {
    top: 1.25rem;
    right: 1.25rem;
  }
}

.play-button-wrapper {
  z-index: 50;
  cursor: pointer;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  pointer-events: auto;
}
.play-button-wrapper::after {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 1;
  background: -webkit-gradient(linear, left bottom, left top, from(rgba(0, 0, 0, 0.3)), to(rgba(0, 0, 0, 0.3)));
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0.3) 100%);
  -webkit-transition: 0.3s ease all;
  transition: 0.3s ease all;
  content: "";
  top: 0;
  left: 0;
}
.play-button {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  width: clamp(70px * var(--min-font-size-controler), 4.0462427746 * 1vw, 70px * var(--max-font-size-controler));
  height: clamp(70px * var(--min-font-size-controler), 4.0462427746 * 1vw, 70px * var(--max-font-size-controler));
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
  cursor: pointer;
  z-index: 5;
  border: 2px solid var(--block-text-color);
  border-radius: 50%;
}
.play-button--light {
  --play-button-color: #ffffff;
}
.play-button--dark {
  --play-button-color: #000000;
}
.play-button--primary {
  --play-button-color: #d00426;
}
.play-button svg {
  display: inline-block;
  position: absolute;
  top: 50%;
  left: 50%;
  content: "";
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.play-button--circle {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  width: clamp(60px * var(--min-font-size-controler), 4.9710982659 * 1vw, 86px * var(--max-font-size-controler));
  height: clamp(60px * var(--min-font-size-controler), 4.9710982659 * 1vw, 86px * var(--max-font-size-controler));
  cursor: pointer;
  z-index: 5;
  border-radius: 50%;
  background-color: var(--play-button-color, #d00426);
  display: block;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.play-button--circle svg {
  display: inline-block;
  position: absolute;
  top: 50%;
  left: 50%;
  content: "";
  padding-left: 0.625rem;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.play-button--circle::after {
  background-image: url("data:image/svg+xml,<svg version='1.1' xmlns='http://www.w3.org/2000/svg' width='32' height='32' viewBox='0 0 32 32'><path fill='%23ffffff' d='M6 4l20 12-20 12z'></path></svg>");
  display: inline-block;
  position: absolute;
  top: 50%;
  left: 50%;
  content: "";
  z-index: -1;
  -webkit-filter: none !important;
          filter: none !important;
  background-color: transparent;
  -webkit-transform-origin: center;
          transform-origin: center;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  -webkit-transition: all 0.2s ease-in;
  transition: all 0.2s ease-in;
  width: clamp(45px * var(--min-font-size-controler), 2.6011560694 * 1vw, 45px * var(--max-font-size-controler));
  height: clamp(45px * var(--min-font-size-controler), 2.6011560694 * 1vw, 45px * var(--max-font-size-controler));
  margin-left: clamp(5px * var(--min-font-size-controler), 0.289017341 * 1vw, 5px * var(--max-font-size-controler));
}
@media (hover: hover) {
  .play-button--circle:hover {
    width: clamp(60px * var(--min-font-size-controler), 5.549132948 * 1vw, 96px * var(--max-font-size-controler));
    height: clamp(60px * var(--min-font-size-controler), 5.549132948 * 1vw, 96px * var(--max-font-size-controler));
  }
}

.text-light .icon-play-outline::after {
  -webkit-filter: var(--filter-light);
          filter: var(--filter-light);
}

.video .l__bg {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.video .l__bg--youtube {
  min-width: 100%;
  min-height: 100%;
}
.video .l__bg--vimeo {
  min-width: 100%;
  min-height: 100%;
  background-color: #000;
}
.video .l__bg video {
  position: absolute;
  top: 50%;
  left: 50%;
  min-width: 120%;
  width: auto;
  min-height: 120%;
  height: auto;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  max-width: none;
  -o-object-fit: cover;
     object-fit: cover;
}
.video .l__wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: relative;
  z-index: 3;
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
}
.video .l__container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  height: auto;
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
  width: 100%;
  position: relative;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.video .l__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
@media (min-width: 768px) {
  .video .l__cnt {
    max-width: 70%;
  }
}
.video .l__img {
  z-index: 1;
}
.video .l__buttons {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: var(--spacers-xxs);
}
.video .l__play {
  position: relative;
}
.video .l__iframe {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  max-width: none;
  pointer-events: none;
  z-index: 1;
  width: 100%;
  height: 100%;
}
.video .l__bg--youtube .video .l__iframe {
  min-width: 120%;
  width: auto;
  min-height: 120%;
  height: auto;
}
.video .l__bg--vimeo .video .l__iframe {
  opacity: 0;
  -webkit-transition: opacity 0.3s ease-in-out;
  transition: opacity 0.3s ease-in-out;
  z-index: 2 !important;
}
.video .l__bg--vimeo .video .l__iframe--ready {
  opacity: 1;
}
.video .l__poster, .video .l__placeholder {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  -o-object-fit: cover;
     object-fit: cover;
  z-index: 6;
}
.video .l__video {
  position: relative;
  width: 100%;
}
.video .l__inline {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  z-index: 5;
}
.video .l__inline iframe,
.video .l__inline video {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  border: 0;
  -webkit-transform: none;
          transform: none;
  -o-object-fit: cover;
     object-fit: cover;
}
.vimeo-ready {
  z-index: 10;
}

.is-playing .l__inline,
.is-playing iframe,
.is-playing video {
  z-index: 100;
  pointer-events: auto !important;
}
.is-playing .play-button-wrapper {
  z-index: 1;
  opacity: 0;
  pointer-events: none;
  -webkit-transition: opacity 0.3s ease;
  transition: opacity 0.3s ease;
}

.is-preview iframe,
.is-preview video {
  z-index: 10;
}
.is-preview .play-button-wrapper {
  z-index: 50;
}
